Bug 2020479

Summary: GDB commands "set/show build-id-verbose" are missing
Product: [Fedora] Fedora Reporter: Kevin Buettner <kevinb>
Component: gdbAssignee: Kevin Buettner <kevinb>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 35CC: ahajkova, blarsen, fweimer, jan.kratochvil, keiths, kevinb, mcermak, pmuldoon, sergiodj
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gdb-11.1-5.fc35 gdb-11.1-5.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-15 05:47:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Kevin Buettner 2021-11-05 02:36:44 UTC
Description of problem:

The (Fedora specific) GDB command "set build-id-verbose" is missing in gdb-11.1-2.  Likewise for the command "show build-id-verbose".

Version-Release number of selected component (if applicable):

gdb-11.1-2

Rawhide and Fedora 35 are currently affected by this bug. If/when gdb-11.1-2 reaches stable for F34, then F34 will also be affected.

How reproducible:

Always.

Steps to Reproduce:
1. Start gdb.
2. Type command "set build-id-verbose 1"
3. This command should succeed with no output.
4. Type command "show build-id-verbose".
5. This command show display: "Verbosity level of the build-id locator is 1."

Actual results:

GNU gdb (GDB) Fedora 11.1-2.fc35
Copyright (C) 2021 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word".
(gdb) set build-id-verbose 1
No symbol table is loaded.  Use the "file" command.
(gdb) show build-id-verbose
Undefined show command: "build-id-verbose".  Try "help show".

Expected results:

GNU gdb (GDB) Fedora 11.1-3.fc36
Copyright (C) 2021 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word".
(gdb) set build-id-verbose 1
(gdb) show build-id-verbose
Verbosity level of the build-id locator is 1.

This also worked in gdb-9.1-7.fc32:

GNU gdb (GDB) Fedora 9.1-7.fc32
Copyright (C) 2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word".
(gdb) set build-id-verbose 1
(gdb) show build-id-verbose
Verbosity level of the build-id locator is 1.

Additional info:

Tom de Vries has provided us with a fix for this problem.

I'm creating this bug so that I have a bug number to use when doing a "fedpkg update".

Also, it should be noted that set/show build-id-verbose is implemented in a Fedora specific patch.  There is, at present, no equivalent command in upstream GDB.

Comment 1 Fedora Update System 2021-11-05 02:43:26 UTC
FEDORA-2021-9995e36e6f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9995e36e6f

Comment 2 Fedora Update System 2021-11-05 04:12:14 UTC
FEDORA-2021-895c3792ba has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-895c3792ba

Comment 3 Fedora Update System 2021-11-06 01:12:04 UTC
FEDORA-2021-9995e36e6f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9995e36e6f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9995e36e6f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-11-06 02:35:29 UTC
FEDORA-2021-895c3792ba has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-895c3792ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-895c3792ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-12 01:03:11 UTC
FEDORA-2021-94dcbdf04d has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-94dcbdf04d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-94dcbdf04d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-12 01:25:10 UTC
FEDORA-2021-53a7dfa185 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-53a7dfa185`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-53a7dfa185

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-11-15 05:47:08 UTC
FEDORA-2021-94dcbdf04d has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-12-05 01:37:34 UTC
FEDORA-2021-53a7dfa185 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.